Learn how easy it is to sync an existing GitHub or Google Code repo to a SourceForge project! See Demo

Close

#86 Unable to get Full Duplex, machine hang

closed-fixed
Jeff Garzik
8139too (65)
5
2014-12-16
2002-04-27
Pädu B.
No

Hi there,

i just upgraded my 2.2.17 kernel to 2.4.18, and now i
have some strange problem with my both rtl8139 cards.
(one of the cards is labeled 8139-A the other with
8139-C, but the 8139cp driver won't do, so i compiled
the 8139too driver as a module). for better
understanding my setup: eth0 is connected to a 100baseT
hub, which uses full duplex to connect my home network
to. eth1 is connected to my cablemodem, which uses
10baseT (full duplex?) now, when i produce traffic on
one of the network cards (i.e. http, nfs or so)
ifconfig shows me a huge amount of collisions, also on
the client nodes (that have different nics). now, maybe
after a special amount of collisions, or by little
green elves (maybe..) my machine freezes, and i need to
reset. badly, the problem won't disappear after
resetting, or even ignoring.

here's the output of lspci -vvv under the 2.2.17
kernel:

00:00.0 Host bridge: Silicon Integrated Systems [SiS]
5597 [SiS5582] (rev 02)
Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV-
VGASnoop- ParErr- Stepping- SERR- FastB2B-
Status: Cap- 66Mhz- UDF- FastB2B- ParErr-
DEVSEL=medium >TAbort- <TAbort- <MAbort+ >SERR- <PERR-
Latency: 24

00:01.0 ISA bridge: Silicon Integrated Systems [SiS]
85C503/5513 (rev 01)
Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV-
VGASnoop- ParErr- Stepping- SERR- FastB2B-
Status: Cap- 66Mhz- UDF- FastB2B- ParErr-
DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
Latency: 0

00:01.1 IDE interface: Silicon Integrated Systems [SiS]
5513 [IDE] (rev d0) (prog-if 8a [Master SecP PriP])
Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV-
VGASnoop- ParErr- Stepping- SERR- FastB2B-
Status: Cap- 66Mhz- UDF- FastB2B- ParErr- DEVSEL=fast
>TAbort- <TAbort- <MAbort- >SERR- <PERR-
Latency: 32
Interrupt: pin A routed to IRQ 14
Region 0: I/O ports at 01f0
Region 1: I/O ports at 03f4
Region 2: I/O ports at 0170
Region 3: I/O ports at 0374
Region 4: I/O ports at 4000

00:0b.0 VGA compatible controller: S3 Inc. Trio 64V2/DX
or /GX (rev 14) (prog-if 00 [VGA])
Subsystem: S3 Inc. 86C775 Trio64V2/DX, 86C785
Trio64V2/GX
Control: I/O+ Mem+ BusMaster- SpecCycle- MemWINV-
VGASnoop- ParErr- Stepping- SERR- FastB2B-
Status: Cap- 66Mhz- UDF- FastB2B- ParErr-
DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
Interrupt: pin A routed to IRQ 11
Region 0: Memory at e0000000 (32-bit,
non-prefetchable)

00:0d.0 Ethernet controller: Realtek Semiconductor Co.,
Ltd. RTL-8139 (rev 10)
Subsystem: Realtek Semiconductor Co., Ltd. RT8139
Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV-
VGASnoop- ParErr- Stepping- SERR- FastB2B-
Status: Cap- 66Mhz- UDF- FastB2B+ ParErr-
DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
Latency: 32 (8000ns min, 16000ns max)
Interrupt: pin A routed to IRQ 10
Region 0: I/O ports at 6300
Region 1: Memory at e4001000 (32-bit,
non-prefetchable)

00:0f.0 Ethernet controller: Realtek Semiconductor Co.,
Ltd. RTL-8139 (rev 10)
Subsystem: Realtek Semiconductor Co., Ltd. RT8139
Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV-
VGASnoop- ParErr- Stepping- SERR- FastB2B-
Status: Cap- 66Mhz- UDF- FastB2B+ ParErr-
DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
Latency: 32 (8000ns min, 16000ns max)
Interrupt: pin A routed to IRQ 9
Region 0: I/O ports at 6400
Region 1: Memory at e4002000 (32-bit,
non-prefetchable)

------------------------- snip

here the same procedure under the 2.4.18 kernel:

00:00.0 Host bridge: Silicon Integrated Systems [SiS]
5597 [SiS5582] (rev 02)
Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV-
VGASnoop- ParErr- Stepping- SERR- FastB2B-
Status: Cap- 66Mhz- UDF- FastB2B- ParErr-
DEVSEL=medium >TAbort- <TAbort- <MAbort+ >SERR- <PERR-
Latency: 24

00:01.0 ISA bridge: Silicon Integrated Systems [SiS]
85C503/5513 (rev 01)
Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV-
VGASnoop- ParErr- Stepping- SERR- FastB2B-
Status: Cap- 66Mhz- UDF- FastB2B- ParErr-
DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
Latency: 0

00:01.1 IDE interface: Silicon Integrated Systems [SiS]
5513 [IDE] (rev d0) (prog-if 8a [Master SecP PriP])
Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV-
VGASnoop- ParErr- Stepping- SERR- FastB2B-
Status: Cap- 66Mhz- UDF- FastB2B- ParErr- DEVSEL=fast
>TAbort- <TAbort- <MAbort- >SERR- <PERR-
Latency: 32
Interrupt: pin A routed to IRQ 14
Region 0: I/O ports at <ignored>
Region 1: I/O ports at <ignored>
Region 2: I/O ports at <ignored>
Region 3: I/O ports at <ignored>
Region 4: I/O ports at 4000 [size=16]

00:0b.0 VGA compatible controller: S3 Inc. Trio 64V2/DX
or /GX (rev 14) (prog-if 00 [VGA])
Subsystem: S3 Inc. 86C775 Trio64V2/DX, 86C785
Trio64V2/GX
Control: I/O+ Mem+ BusMaster- SpecCycle- MemWINV-
VGASnoop- ParErr- Stepping- SERR- FastB2B-
Status: Cap- 66Mhz- UDF- FastB2B- ParErr-
DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
Interrupt: pin A routed to IRQ 11
Region 0: Memory at e0000000 (32-bit,
non-prefetchable) [size=64M]
Expansion ROM at <unassigned> [disabled] [size=64K]

00:0d.0 Ethernet controller: Realtek Semiconductor Co.,
Ltd. RTL-8139 (rev 10)
Subsystem: Realtek Semiconductor Co., Ltd. RT8139
Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV-
VGASnoop- ParErr- Stepping- SERR- FastB2B-
Status: Cap+ 66Mhz- UDF- FastB2B+ ParErr-
DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
Latency: 32 (8000ns min, 16000ns max)
Interrupt: pin A routed to IRQ 10
Region 0: I/O ports at 6300 [size=256]
Region 1: Memory at e4001000 (32-bit,
non-prefetchable) [size=256]
Capabilities: [50] Power Management version 2
Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=0mA
PME(D0-,D1+,D2+,D3hot+,D3cold-)
Status: D0 PME-Enable- DSel=0 DScale=0 PME-

00:0f.0 Ethernet controller: Realtek Semiconductor Co.,
Ltd. RTL-8139 (rev 10)
Subsystem: Realtek Semiconductor Co., Ltd. RT8139
Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV-
VGASnoop- ParErr- Stepping- SERR- FastB2B-
Status: Cap- 66Mhz- UDF- FastB2B+ ParErr-
DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
Latency: 32 (8000ns min, 16000ns max)
Interrupt: pin A routed to IRQ 9
Region 0: I/O ports at 6400 [size=256]
Region 1: Memory at e4002000 (32-bit,
non-prefetchable) [size=256]

--------------- snip

here's the output of rtl8139-diag -mmaaavvveef under
the 2.2.17 kernel:

rtl8139-diag.c:v2.03 5/15/2001 Donald Becker
(becker@scyld.com)
http://www.scyld.com/diag/index.html
Index #1: Found a RealTek RTL8139 adapter at 0x6300.
RealTek chip registers at 0x6300
0x000: 30954000 0000191c 80000000 00000000 8008a072
8008a03c 8008a062 8008a03c
0x020: 0462c000 0462c600 0462cc00 0462d200 03300000
0d0a0000 0a4c0a3c 0000c07f
0x040: 74000400 00009c0e 1e7d92e0 00000000 002c10c6
00000000 0088c100 00100000
0x060: 1000f00f 01e1782d 00000000 00000000 00000005
000207c0 b0f243b9 8a36df43.
No interrupt sources are pending.
The chip configuration is 0x10 0x2c, MII half-duplex
mode.
EEPROM size test returned 6, 0x204a4 / 0x2.
Parsing the EEPROM of a RealTek chip:
PCI IDs -- Vendor 0x10ec, Device 0x8139, Subsystem
0x10ec.
PCI timer settings -- minimum grant 32, maximum
latency 64.
General purpose pins -- direction 0xe1 value 0x12.
Station Address 00:40:95:30:1C:19.
Configuration register 0/1 -- 0x0d / 0xc2.
EEPROM active region checksum is 0879.
EEPROM contents:
8129 10ec 8139 10ec 8139 4020 e112 4000
3095 191c 0d10 f7c2 8801 43b9 b0f2 071a
df43 8a36 df43 8a36 43b9 b0f2 1111 1111
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
The word-wide EEPROM checksum is 0xc2ad.
Would write new Default Media entry 0x0000 to offset
6, the current value is 0xe112.
The RTL8139 does not use a MII transceiver.
It does have internal MII-compatible registers:
Basic mode control register 0x782d.
Basic mode status register 0x1000.
Autonegotiation Advertisement 0x01e1.
Link Partner Ability register 0x0000.
Autonegotiation expansion 0x0000.
Disconnects 0x0000.
False carrier sense counter 0x0000.
NWay test register 0x0005.
Receive frame error count 0x0000.
MII PHY #-1 transceiver registers:1111111111100000->
11111111111111111111 MII read of -1:0 -> 0000.

00001111111111100001-> 51111111111111111111 MII
read of -1:1 -> 0000.
00001111111111100010-> 11111111111111111111 MII read
of -1:2 -> 0000.
00001111111111100011-> 51111111111111111111 MII read
of -1:3 -> 0000.
00001111111111100100-> 11111111111111111111 MII read
of -1:4 -> 0000.
00001111111111100101-> 51111111111111111111 MII read
of -1:5 -> 0000.
00001111111111100110-> 11111111111111111111 MII read
of -1:6 -> 0000.
00001111111111100111-> 51111111111111111111 MII read
of -1:7 -> 0000.
00001111111111101000-> 11111111111111111111 MII read
of -1:8 -> 0000.

00001111111111101001-> 51111111111111111111 MII
read of -1:9 -> 0000.
00001111111111101010-> 11111111111111111111 MII read
of -1:10 -> 0000.
00001111111111101011-> 51111111111111111111 MII read
of -1:11 -> 0000.
00001111111111101100-> 11111111111111111111 MII read
of -1:12 -> 0000.
00001111111111101101-> 51111111111111111111 MII read
of -1:13 -> 0000.
00001111111111101110-> 11111111111111111111 MII read
of -1:14 -> 0000.
00001111111111101111-> 51111111111111111111 MII read
of -1:15 -> 0000.
00001111111111110000-> 11111111111111111111 MII read
of -1:16 -> 0000.

00001111111111110001-> 51111111111111111111 MII
read of -1:17 -> 0000.
00001111111111110010-> 11111111111111111111 MII read
of -1:18 -> 0000.
00001111111111110011-> 51111111111111111111 MII read
of -1:19 -> 0000.
00001111111111110100-> 11111111111111111111 MII read
of -1:20 -> 0000.
00001111111111110101-> 51111111111111111111 MII read
of -1:21 -> 0000.
00001111111111110110-> 11111111111111111111 MII read
of -1:22 -> 0000.
00001111111111110111-> 51111111111111111111 MII read
of -1:23 -> 0000.
00001111111111111000-> 11111111111111111111 MII read
of -1:24 -> 0000.

00001111111111111001-> 51111111111111111111 MII
read of -1:25 -> 0000.
00001111111111111010-> 11111111111111111111 MII read
of -1:26 -> 0000.
00001111111111111011-> 51111111111111111111 MII read
of -1:27 -> 0000.
00001111111111111100-> 11111111111111111111 MII read
of -1:28 -> 0000.
00001111111111111101-> 51111111111111111111 MII read
of -1:29 -> 0000.
00001111111111111110-> 11111111111111111111 MII read
of -1:30 -> 0000.
00001111111111111111-> 51111111111111111111 MII read
of -1:31 -> 0000.
0000.
Basic mode control register 0x0000: Auto-negotiation
disabled!
Speed fixed at 10 mbps, half-duplex.
1111111111100001-> 51111111111111111111 MII read of
-1:1 -> 0000.
Basic mode status register 0x0000 ... 0000.
Link status: not established.
Capable of <Warning! No media capabilities>.
Unable to perform Auto-negotiation, negotiation not
complete.
This transceiver has no vendor identification.
I'm advertising 0000:
Advertising no additional info pages.
Using an unknown (non 802.3) encapsulation.
Link partner capability is 0000:.
Negotiation did not complete.
Index #2: Found a RealTek RTL8139 adapter at 0x6400.
RealTek chip registers at 0x6400
0x000: 2d954000 00007416 80000000 00000000 9008a5ea
9008a112 9008a5e2 9008a37e
0x020: 045d8000 045d8600 045d8c00 045d9200 045e0000
0d0a0000 2ff42fe4 0000c07f
0x040: 73000400 00009c0e 1e85b6d0 00000000 002c10c6
00000000 0000c108 00100000
0x060: 1000f00f 05e1782d 00000000 00000000 00000005
000f77c0 78fa8388 ad38de43.
No interrupt sources are pending.
The chip configuration is 0x10 0x2c, MII half-duplex
mode.
EEPROM size test returned 6, 0x204a4 / 0x2.
Parsing the EEPROM of a RealTek chip:
PCI IDs -- Vendor 0x10ec, Device 0x8139, Subsystem
0x10ec.
PCI timer settings -- minimum grant 32, maximum
latency 64.
General purpose pins -- direction 0xe1 value 0x10.
Station Address 00:40:95:2D:16:74.
Configuration register 0/1 -- 0x0c / 0xc2.
EEPROM active region checksum is 08c8.
EEPROM contents:
8129 10ec 8139 10ec 8139 4020 e110 4000
2d95 7416 0c10 f7c2 0001 8388 78fa 070a
d843 a538 0000 0000 d843 0000 d843 0000
de43 a438 0000 0000 de43 0000 de43 0000
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
The word-wide EEPROM checksum is 0x1caf.
Would write new Default Media entry 0x0000 to offset
6, the current value is 0xe110.
The RTL8139 does not use a MII transceiver.
It does have internal MII-compatible registers:
Basic mode control register 0x782d.
Basic mode status register 0x1000.
Autonegotiation Advertisement 0x05e1.
Link Partner Ability register 0x0000.
Autonegotiation expansion 0x0000.
Disconnects 0x0000.
False carrier sense counter 0x0000.
NWay test register 0x0005.
Receive frame error count 0x0000.
MII PHY #-1 transceiver registers:1111111111100000->
00000000000000000000 MII read of -1:0 -> 0000.

00001111111111100001-> 00000000000000000000 MII
read of -1:1 -> 0000.
00001111111111100010-> 00000000000000000000 MII read
of -1:2 -> 0000.
00001111111111100011-> 00000000000000000000 MII read
of -1:3 -> 0000.
00001111111111100100-> 00000000000000000000 MII read
of -1:4 -> 0000.
00001111111111100101-> 00000000000000000000 MII read
of -1:5 -> 0000.
00001111111111100110-> 00000000000000000000 MII read
of -1:6 -> 0000.
00001111111111100111-> 00000000000000000000 MII read
of -1:7 -> 0000.
00001111111111101000-> 00000000000000000000 MII read
of -1:8 -> 0000.

00001111111111101001-> 00000000000000000000 MII
read of -1:9 -> 0000.
00001111111111101010-> 00000000000000000000 MII read
of -1:10 -> 0000.
00001111111111101011-> 00000000000000000000 MII read
of -1:11 -> 0000.
00001111111111101100-> 00000000000000000000 MII read
of -1:12 -> 0000.
00001111111111101101-> 00000000000000000000 MII read
of -1:13 -> 0000.
00001111111111101110-> 00000000000000000000 MII read
of -1:14 -> 0000.
00001111111111101111-> 00000000000000000000 MII read
of -1:15 -> 0000.
00001111111111110000-> 00000000000000000000 MII read
of -1:16 -> 0000.

00001111111111110001-> 00000000000000000000 MII
read of -1:17 -> 0000.
00001111111111110010-> 00000000000000000000 MII read
of -1:18 -> 0000.
00001111111111110011-> 00000000000000000000 MII read
of -1:19 -> 0000.
00001111111111110100-> 00000000000000000000 MII read
of -1:20 -> 0000.
00001111111111110101-> 00000000000000000000 MII read
of -1:21 -> 0000.
00001111111111110110-> 00000000000000000000 MII read
of -1:22 -> 0000.
00001111111111110111-> 00000000000000000000 MII read
of -1:23 -> 0000.
00001111111111111000-> 00000000000000000000 MII read
of -1:24 -> 0000.

00001111111111111001-> 00000000000000000000 MII
read of -1:25 -> 0000.
00001111111111111010-> 00000000000000000000 MII read
of -1:26 -> 0000.
00001111111111111011-> 00000000000000000000 MII read
of -1:27 -> 0000.
00001111111111111100-> 00000000000000000000 MII read
of -1:28 -> 0000.
00001111111111111101-> 00000000000000000000 MII read
of -1:29 -> 0000.
00001111111111111110-> 00000000000000000000 MII read
of -1:30 -> 0000.
00001111111111111111-> 00000000000000000000 MII read
of -1:31 -> 0000.
0000.
Basic mode control register 0x0000: Auto-negotiation
disabled!
Speed fixed at 10 mbps, half-duplex.
1111111111100001-> 00000000000000000000 MII read of
-1:1 -> 0000.
Basic mode status register 0x0000 ... 0000.
Link status: not established.
Capable of <Warning! No media capabilities>.
Unable to perform Auto-negotiation, negotiation not
complete.
This transceiver has no vendor identification.
I'm advertising 0000:
Advertising no additional info pages.
Using an unknown (non 802.3) encapsulation.
Link partner capability is 0000:.
Negotiation did not complete.

--------- snip

and here's (finally) rtl8139-diag -mmaaavvveef under
the 2.4.18 kernel:

rtl8139-diag.c:v2.03 5/15/2001 Donald Becker
(becker@scyld.com)
http://www.scyld.com/diag/index.html
Index #1: Found a RealTek RTL8139 adapter at 0x6300.
RealTek chip registers at 0x6300
0x000: 30954000 0000191c 80000000 00000000 8008a072
8008a072 8008a072 8008a072
0x020: 07ab6000 07ab6600 07ab6c00 07ab7200 07ae0000
0d0a0000 cbe4cbd4 0000c07f
0x040: 74000680 0000f78e 36b9e437 00000000 000d1000
00000000 0088c100 00100000
0x060: 1000f00f 01e1782d 00000000 00000000 00000005
000207c8 b0f243b9 8a36df43.
No interrupt sources are pending.
The chip configuration is 0x10 0x0d, MII half-duplex
mode.
EEPROM size test returned 6, 0x204a4 / 0x2.
Parsing the EEPROM of a RealTek chip:
PCI IDs -- Vendor 0x10ec, Device 0x8139, Subsystem
0x10ec.
PCI timer settings -- minimum grant 32, maximum
latency 64.
General purpose pins -- direction 0xe1 value 0x12.
Station Address 00:40:95:30:1C:19.
Configuration register 0/1 -- 0x0d / 0xc2.
EEPROM active region checksum is 0879.
EEPROM contents:
8129 10ec 8139 10ec 8139 4020 e112 4000
3095 191c 0d10 f7c2 8801 43b9 b0f2 071a
df43 8a36 df43 8a36 43b9 b0f2 1111 1111
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
The word-wide EEPROM checksum is 0xc2ad.
Would write new Default Media entry 0x0000 to offset
6, the current value is 0xe112.
The RTL8139 does not use a MII transceiver.
It does have internal MII-compatible registers:
Basic mode control register 0x782d.
Basic mode status register 0x1000.
Autonegotiation Advertisement 0x01e1.
Link Partner Ability register 0x0000.
Autonegotiation expansion 0x0000.
Disconnects 0x0000.
False carrier sense counter 0x0000.
NWay test register 0x0005.
Receive frame error count 0x0000.
MII PHY #-1 transceiver registers:1111111111100000->
11111111111111111111 MII read of -1:0 -> 0000.

00001111111111100001-> 51111111111111111111 MII
read of -1:1 -> 0000.
00001111111111100010-> 11111111111111111111 MII read
of -1:2 -> 0000.
00001111111111100011-> 51111111111111111111 MII read
of -1:3 -> 0000.
00001111111111100100-> 11111111111111111111 MII read
of -1:4 -> 0000.
00001111111111100101-> 51111111111111111111 MII read
of -1:5 -> 0000.
00001111111111100110-> 11111111111111111111 MII read
of -1:6 -> 0000.
00001111111111100111-> 51111111111111111111 MII read
of -1:7 -> 0000.
00001111111111101000-> 11111111111111111111 MII read
of -1:8 -> 0000.

00001111111111101001-> 51111111111111111111 MII
read of -1:9 -> 0000.
00001111111111101010-> 11111111111111111111 MII read
of -1:10 -> 0000.
00001111111111101011-> 51111111111111111111 MII read
of -1:11 -> 0000.
00001111111111101100-> 11111111111111111111 MII read
of -1:12 -> 0000.
00001111111111101101-> 51111111111111111111 MII read
of -1:13 -> 0000.
00001111111111101110-> 11111111111111111111 MII read
of -1:14 -> 0000.
00001111111111101111-> 51111111111111111111 MII read
of -1:15 -> 0000.
00001111111111110000-> 11111111111111111111 MII read
of -1:16 -> 0000.

00001111111111110001-> 51111111111111111111 MII
read of -1:17 -> 0000.
00001111111111110010-> 11111111111111111111 MII read
of -1:18 -> 0000.
00001111111111110011-> 51111111111111111111 MII read
of -1:19 -> 0000.
00001111111111110100-> 11111111111111111111 MII read
of -1:20 -> 0000.
00001111111111110101-> 51111111111111111111 MII read
of -1:21 -> 0000.
00001111111111110110-> 11111111111111111111 MII read
of -1:22 -> 0000.
00001111111111110111-> 51111111111111111111 MII read
of -1:23 -> 0000.
00001111111111111000-> 11111111111111111111 MII read
of -1:24 -> 0000.

00001111111111111001-> 51111111111111111111 MII
read of -1:25 -> 0000.
00001111111111111010-> 11111111111111111111 MII read
of -1:26 -> 0000.
00001111111111111011-> 51111111111111111111 MII read
of -1:27 -> 0000.
00001111111111111100-> 11111111111111111111 MII read
of -1:28 -> 0000.
00001111111111111101-> 51111111111111111111 MII read
of -1:29 -> 0000.
00001111111111111110-> 11111111111111111111 MII read
of -1:30 -> 0000.
00001111111111111111-> 51111111111111111111 MII read
of -1:31 -> 0000.
0000.
Basic mode control register 0x0000: Auto-negotiation
disabled!
Speed fixed at 10 mbps, half-duplex.
1111111111100001-> 51111111111111111111 MII read of
-1:1 -> 0000.
Basic mode status register 0x0000 ... 0000.
Link status: not established.
Capable of <Warning! No media capabilities>.
Unable to perform Auto-negotiation, negotiation not
complete.
This transceiver has no vendor identification.
I'm advertising 0000:
Advertising no additional info pages.
Using an unknown (non 802.3) encapsulation.
Link partner capability is 0000:.
Negotiation did not complete.
Index #2: Found a RealTek RTL8139 adapter at 0x6400.
RealTek chip registers at 0x6400
0x000: 2d954000 00007416 80000000 00000000 9008a5c4
9008a5ce 9008a5e2 9008a03c
0x020: 07b04000 07b04600 07b04c00 07b05200 07af0000
0d0a0000 3b843b74 0000c07f
0x040: 70000680 0000f78e 36c22255 00000000 000c1000
00000000 0000c108 00100000
0x060: 1000f00f 05e1782d 00000000 00000000 00000005
000f77c0 78fa8388 ad38de43.
No interrupt sources are pending.
The chip configuration is 0x10 0x0c, MII half-duplex
mode.
EEPROM size test returned 6, 0x204a4 / 0x2.
Parsing the EEPROM of a RealTek chip:
PCI IDs -- Vendor 0x10ec, Device 0x8139, Subsystem
0x10ec.
PCI timer settings -- minimum grant 32, maximum
latency 64.
General purpose pins -- direction 0xe1 value 0x10.
Station Address 00:40:95:2D:16:74.
Configuration register 0/1 -- 0x0c / 0xc2.
EEPROM active region checksum is 08c8.
EEPROM contents:
8129 10ec 8139 10ec 8139 4020 e110 4000
2d95 7416 0c10 f7c2 0001 8388 78fa 070a
d843 a538 0000 0000 d843 0000 d843 0000
de43 a438 0000 0000 de43 0000 de43 0000
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
The word-wide EEPROM checksum is 0x1caf.
Would write new Default Media entry 0x0000 to offset
6, the current value is 0xe110.
The RTL8139 does not use a MII transceiver.
It does have internal MII-compatible registers:
Basic mode control register 0x782d.
Basic mode status register 0x1000.
Autonegotiation Advertisement 0x05e1.
Link Partner Ability register 0x0000.
Autonegotiation expansion 0x0000.
Disconnects 0x0000.
False carrier sense counter 0x0000.
NWay test register 0x0005.
Receive frame error count 0x0000.
MII PHY #-1 transceiver registers:1111111111100000->
00000000000000000000 MII read of -1:0 -> 0000.
00001111111111100001-> 00000000000000000000 MII
read of -1:1 -> 0000.
00001111111111100010-> 00000000000000000000 MII read
of -1:2 -> 0000.
00001111111111100011-> 00000000000000000000 MII read
of -1:3 -> 0000.
00001111111111100100-> 00000000000000000000 MII read
of -1:4 -> 0000.
00001111111111100101-> 00000000000000000000 MII read
of -1:5 -> 0000.
00001111111111100110-> 00000000000000000000 MII read
of -1:6 -> 0000.
00001111111111100111-> 00000000000000000000 MII read
of -1:7 -> 0000.
00001111111111101000-> 00000000000000000000 MII read
of -1:8 -> 0000.

00001111111111101001-> 00000000000000000000 MII
read of -1:9 -> 0000.
00001111111111101010-> 00000000000000000000 MII read
of -1:10 -> 0000.
00001111111111101011-> 00000000000000000000 MII read
of -1:11 -> 0000.
00001111111111101100-> 00000000000000000000 MII read
of -1:12 -> 0000.
00001111111111101101-> 00000000000000000000 MII read
of -1:13 -> 0000.
00001111111111101110-> 00000000000000000000 MII read
of -1:14 -> 0000.
00001111111111101111-> 00000000000000000000 MII read
of -1:15 -> 0000.
00001111111111110000-> 00000000000000000000 MII read
of -1:16 -> 0000.

00001111111111110001-> 00000000000000000000 MII
read of -1:17 -> 0000.
00001111111111110010-> 00000000000000000000 MII read
of -1:18 -> 0000.
00001111111111110011-> 00000000000000000000 MII read
of -1:19 -> 0000.
00001111111111110100-> 00000000000000000000 MII read
of -1:20 -> 0000.
00001111111111110101-> 00000000000000000000 MII read
of -1:21 -> 0000.
00001111111111110110-> 00000000000000000000 MII read
of -1:22 -> 0000.
00001111111111110111-> 00000000000000000000 MII read
of -1:23 -> 0000.
00001111111111111000-> 00000000000000000000 MII read
of -1:24 -> 0000.

00001111111111111001-> 00000000000000000000 MII
read of -1:25 -> 0000.
00001111111111111010-> 00000000000000000000 MII read
of -1:26 -> 0000.
00001111111111111011-> 00000000000000000000 MII read
of -1:27 -> 0000.
00001111111111111100-> 00000000000000000000 MII read
of -1:28 -> 0000.
00001111111111111101-> 00000000000000000000 MII read
of -1:29 -> 0000.
00001111111111111110-> 00000000000000000000 MII read
of -1:30 -> 0000.
00001111111111111111-> 00000000000000000000 MII read
of -1:31 -> 0000.
0000.
Basic mode control register 0x0000: Auto-negotiation
disabled!
Speed fixed at 10 mbps, half-duplex.
1111111111100001-> 00000000000000000000 MII read of
-1:1 -> 0000.
Basic mode status register 0x0000 ... 0000.
Link status: not established.
Capable of <Warning! No media capabilities>.
Unable to perform Auto-negotiation, negotiation not
complete.
This transceiver has no vendor identification.
I'm advertising 0000:
Advertising no additional info pages.
Using an unknown (non 802.3) encapsulation.
Link partner capability is 0000:.
Negotiation did not complete.

so, that's it. i hope it's useful. by the way, i use a
gigabyte GA-586S2 motherboard.

greetings,

patrick

p.s. sorry about my english..

Discussion

  • Jeff Garzik
    Jeff Garzik
    2002-08-09

    Logged In: YES
    user_id=17443

    This problem is fixed in the latest version of the driver. You
    can download the driver from the download section on this
    SourceForge web page.

     
  • Jeff Garzik
    Jeff Garzik
    2002-08-09

    • labels: --> 8139too
    • assigned_to: nobody --> jgarzik
    • status: open --> closed-fixed